<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [sellShares](./bitburner.corporation.sellshares.md)

## Corporation.sellShares() method

Sell shares. Transfer shares from the CEO to public traders to receive money in the player's wallet.

**Signature:**

```typescript
sellShares(amount: number): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

amount


</td><td>

number


</td><td>

Amount of shares to sell, must be integer between 1 and 100t


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 20 GB

